#include "main-base.hpp"
#include "main-main.hpp"
#include "test-scene.hpp"

/*
	Blue window indicates successfully viewing empty scene through camera.
	Press CTRL+F4 to close window, CTRL+F12 for metrics, CTRL+F11 to toggle full screen.
	Upon successful compile, 'deploy' folder in this project contains standalone distributable application.
	See Rayve manual at raylogic.com for more.
*/

void WinMain()
{
	API api(L"Raylogic", L"RayveTrial");
	int exitCode = 1;
	Engine engine;

	engine.SetWindow(L"Rayve Trial", .75f, 0, 0, EngCfg::WINDOW_BORDERLESS);
	engine.SetProbeMode(EngCfg::ProbeMode::METRICS);

	engine.Start();

	while (exitCode >= 0)
		switch (exitCode)
		{ 
		case 1:
			new (engine.AllocScene<Test::Scene>()) Test::Scene;
			exitCode = SCN().Run();
			break;
		}
}

